import * as tslib_1 from "tslib";
import { IgrNumericYAxis } from "./igr-numeric-y-axis";
import { PercentChangeYAxis } from "./PercentChangeYAxis";
/**
 * A horizontal axis that uses a DateTime scale.
*
* You can use the `IgrPercentChangeYAxis` show percentage values.
*/
var IgrPercentChangeYAxis = /** @class */ (function (_super) {
    tslib_1.__extends(IgrPercentChangeYAxis, _super);
    function IgrPercentChangeYAxis(props) {
        return _super.call(this, props) || this;
    }
    IgrPercentChangeYAxis.prototype.createImplementation = function () {
        return new PercentChangeYAxis();
    };
    Object.defineProperty(IgrPercentChangeYAxis.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    return IgrPercentChangeYAxis;
}(IgrNumericYAxis));
export { IgrPercentChangeYAxis };
